> For the complete documentation index, see [llms.txt](https://docs.kiiglobal.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiiglobal.io/docs/build-on-kiichain/endpoints-cosmos/evm/erc20.md).

# ERC20

## GET /cosmos/evm/erc20/v1/params

> Params retrieves the erc20 module params

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/cosmos/evm/erc20/v1/params":{"get":{"summary":"Params retrieves the erc20 module params","operationId":"Erc20Params","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"params":{"title":"params are the erc20 module parameters","type":"object","properties":{"enable_erc20":{"type":"boolean","description":"enable_erc20 is the parameter to enable the conversion of Cosmos coins <-->\nERC20 tokens."},"native_precompiles":{"type":"array","items":{"type":"string"},"title":"native_precompiles defines the slice of hex addresses of the\nactive precompiles that are used to interact with native staking coins as\nERC20s"},"dynamic_precompiles":{"type":"array","items":{"type":"string"},"title":"dynamic_precompiles defines the slice of hex addresses of the\nactive precompiles that are used to interact with Bank coins as ERC20s"}}}},"description":"QueryParamsResponse is the response type for the Query/Params RPC\nmethod."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"tags":["Query"]}}}}
```

## GET /cosmos/evm/erc20/v1/token\_pairs

> TokenPairs retrieves registered token pairs

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/cosmos/evm/erc20/v1/token_pairs":{"get":{"summary":"TokenPairs retrieves registered token pairs","operationId":"TokenPairs","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"token_pairs":{"type":"array","items":{"type":"object","properties":{"erc20_address":{"type":"string","title":"erc20_address is the hex address of ERC20 contract token"},"denom":{"type":"string","title":"denom defines the cosmos base denomination to be mapped to"},"enabled":{"type":"boolean","title":"enabled defines the token mapping enable status"},"contract_owner":{"title":"contract_owner is the an ENUM specifying the type of ERC20 owner (0\ninvalid, 1 ModuleAccount, 2 external address)","type":"string","enum":["OWNER_UNSPECIFIED","OWNER_MODULE","OWNER_EXTERNAL"],"default":"OWNER_UNSPECIFIED","description":"Owner enumerates the ownership of a ERC20 contract.\n\n - OWNER_UNSPECIFIED: OWNER_UNSPECIFIED defines an invalid/undefined owner.\n - OWNER_MODULE: OWNER_MODULE - erc20 is owned by the erc20 module account.\n - OWNER_EXTERNAL: OWNER_EXTERNAL - erc20 is owned by an external account."}},"description":"TokenPair defines an instance that records a pairing consisting of a native\nCosmos Coin and an ERC20 token address."},"title":"token_pairs is a slice of registered token pairs for the erc20 module"},"pagination":{"description":"pagination defines the pagination in the response.","type":"object","properties":{"next_key":{"type":"string","format":"byte","description":"next_key is the key to be passed to PageRequest.key to\nquery the next page most efficiently. It will be empty if\nthere are no more results."},"total":{"type":"string","format":"uint64","title":"total is total number of results available if PageRequest.count_total\nwas set, its value is undefined otherwise"}}}},"description":"QueryTokenPairsResponse is the response type for the Query/TokenPairs RPC\nmethod."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"parameters":[{"name":"pagination.key","description":"key is a value returned in PageResponse.next_key to begin\nquerying the next page most efficiently. Only one of offset or key\nshould be set.","in":"query","required":false,"type":"string","format":"byte"},{"name":"pagination.offset","description":"offset is a numeric offset that can be used when key is unavailable.\nIt is less efficient than using key. Only one of offset or key should\nbe set.","in":"query","required":false,"type":"string","format":"uint64"},{"name":"pagination.limit","description":"limit is the total number of results to be returned in the result page.\nIf left empty it will default to a value to be set by each app.","in":"query","required":false,"type":"string","format":"uint64"},{"name":"pagination.count_total","description":"count_total is set to true  to indicate that the result set should include\na count of the total number of items available for pagination in UIs.\ncount_total is only respected when offset is used. It is ignored when key\nis set.","in":"query","required":false,"type":"boolean"},{"name":"pagination.reverse","description":"reverse is set to true if results are to be returned in the descending order.\n\nSince: cosmos-sdk 0.43","in":"query","required":false,"type":"boolean"}],"tags":["Query"]}}}}
```

## GET /cosmos/evm/erc20/v1/token\_pairs/{token}

> TokenPair retrieves a registered token pair

```json
{"openapi":"3.1.1","info":{"title":"Kiichain - HTTP API Console","version":"v1"},"servers":[{"url":"https://lcd.uno.sentry.testnet.v3.kiivalidator.com"}],"paths":{"/cosmos/evm/erc20/v1/token_pairs/{token}":{"get":{"summary":"TokenPair retrieves a registered token pair","operationId":"TokenPair","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"type":"object","properties":{"token_pair":{"type":"object","properties":{"erc20_address":{"type":"string","title":"erc20_address is the hex address of ERC20 contract token"},"denom":{"type":"string","title":"denom defines the cosmos base denomination to be mapped to"},"enabled":{"type":"boolean","title":"enabled defines the token mapping enable status"},"contract_owner":{"title":"contract_owner is the an ENUM specifying the type of ERC20 owner (0\ninvalid, 1 ModuleAccount, 2 external address)","type":"string","enum":["OWNER_UNSPECIFIED","OWNER_MODULE","OWNER_EXTERNAL"],"default":"OWNER_UNSPECIFIED","description":"Owner enumerates the ownership of a ERC20 contract.\n\n - OWNER_UNSPECIFIED: OWNER_UNSPECIFIED defines an invalid/undefined owner.\n - OWNER_MODULE: OWNER_MODULE - erc20 is owned by the erc20 module account.\n - OWNER_EXTERNAL: OWNER_EXTERNAL - erc20 is owned by an external account."}},"description":"TokenPair defines an instance that records a pairing consisting of a native\nCosmos Coin and an ERC20 token address.","title":"token_pairs returns the info about a registered token pair for the erc20\nmodule"}},"description":"QueryTokenPairResponse is the response type for the Query/TokenPair RPC\nmethod."}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"},"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"type_url":{"type":"string"},"value":{"type":"string","format":"byte"}}}}}}}}}},"parameters":[{"name":"token","description":"token identifier can be either the hex contract address of the ERC20 or the\nCosmos base denomination","in":"path","required":true,"type":"string"}],"tags":["Query"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kiiglobal.io/docs/build-on-kiichain/endpoints-cosmos/evm/erc20.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
